
import sys

def TRACE(*args):
    if TRACE.active:
        sys.stdout.write("TRACE: "+ " ".join(str(x) for x in args)+"\n"); 
TRACE.active = False


def DEBUG(*args):
    if DEBUG.active:
        sys.stdout.write("DEBUG:" + " ".join(str(x) for x in args)+"\n"); 
DEBUG.active = False

def WARNING(*args):
    sys.stderr.write("WARNING: " + " ".join(str(x) for x in args)+"\n"); 

def ERROR(*args):
    sys.stderr.write("ERROR: " +  " ".join(str(x) for x in args)+"\n");

def INFO(*args):
    sys.stdout.write("INFO:" + " ".join(str(x) for x in args)+"\n");



if __name__ == '__main__':
    TRACE.active = True
    TRACE("Messaggio di traccia con traccia abilitata")
    TRACE.active = False
    TRACE("Messaggio di traccia con traccia disabilitata")
    DEBUG.active = True
    DEBUG("Messaggio di debug con debug abilitato")
    DEBUG.active = False
    DEBUG("Messaggio di debug con debug disabilitato")
    WARNING("Messaggio di warning")
    ERROR("Messaggio di errore")
    INFO("Messaggio di info")
    
